google-osconfig-agent (20251028.00-0ubuntu2~22.04.0) jammy; urgency=medium

  * No change rebuild for Jammy (LP: #2139288)
    * Small change to d/rule to drop code pertaining to
      golang-any and golang-1.22 (we now use golang-1.24) 

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 06 May 2026 22:08:47 +0100

google-osconfig-agent (20251028.00-0ubuntu2) resolute; urgency=medium

  * Force golang-1.25 as 1.24 is not available for s390x (LP: #2139288)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 09 Feb 2026 14:45:27 +0000

google-osconfig-agent (20251028.00-0ubuntu1) resolute; urgency=medium

  * New version from upstream tag 20251028.00 (LP: #2139288)
    * Golang vendoring refresh
    * Upstream updated `policies/apt_test.go` which now makes
      d/p/0002-Edit-TestAptRepositories-for-signed-repos.patch redundant,
      so it's now dropped. Also refreshed d/p/0001-Disable-TestGetApt...

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 05 Feb 2026 11:35:27 +0100

google-osconfig-agent (20250701.00-0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:40:49 +0100

google-osconfig-agent (20250701.00-0ubuntu1) questing; urgency=medium

  * [FFe] New version for upstream tag 20250701.00 (LP: #2126660)
    * Bump golang version to 1.24
      * Goland re-downloading and re-vendoring
    * Removed the additional `install` lines in d/rules as they are already
      implemented in d/install (and it's just confusing).
    * Edited d/watch again to avail of more pagination in the repo

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 30 Sep 2025 22:08:21 +0100

google-osconfig-agent (20250416.02-0ubuntu1) questing; urgency=medium

  * New upstream version for upstream tag 20250416.02. (LP: #2113875)
    * Golang re-downloading and re-vendoring.
    * Edited d/watch to avail of pagination in the repo

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 10 Jun 2025 13:43:14 +0100

google-osconfig-agent (20250115.01-0ubuntu2) plucky; urgency=medium

  * No-change rebuild against Go 1.24.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 24 Feb 2025 09:33:51 +0000

google-osconfig-agent (20250115.01-0ubuntu1~22.04.0) jammy; urgency=medium

  * No change rebuild for Jammy Jellyfish.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 12 Feb 2025 16:42:36 +0000

google-osconfig-agent (20250115.01-0ubuntu1) plucky; urgency=medium

  * New upstream version for upstream tag 20250115.01. (LP: #2096657)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 24 Jan 2025 16:58:29 +0000

google-osconfig-agent (20240926.03-0ubuntu1~22.04.0) jammy; urgency=medium

  * No change rebuild for Jammy.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 06 Nov 2024 11:54:47 +0000

google-osconfig-agent (20240926.03-0ubuntu1) plucky; urgency=medium

  * New upstream version for upstream tag 20240926.03. (LP: #2084496)
     * Golang revendoring.
     * Add new debian/source/include-binaries entries.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 14 Oct 2024 19:14:20 +0100

google-osconfig-agent (20240524.03-0ubuntu2~22.04.0) jammy; urgency=medium

  * Rebuild for Jammy.
    - Bump golang version to 1.22.
    - Revert the addition of
      d/p/0002-Edit-TestAptRepositories-for-signed-repos.patch.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 06 Aug 2024 22:52:48 +0100

google-osconfig-agent (20240524.03-0ubuntu2) oracular; urgency=medium

  * Update vendored dependencies.
  * Set DH_GOLANG_INSTALL_EXTRA to editions_defaults.binpb

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Sat, 03 Aug 2024 15:54:47 +0900

google-osconfig-agent (20240524.03-0ubuntu1) oracular; urgency=medium

  * New upstream version for upstream tag 20240524.03. (LP: #2073161)
  * d/p/0002-Edit-TestAptRepositories-for-signed-repos.patch: Add patch to
    fix the failing and the blocking `TestAptRepositories` as it doesn't
    account for the repo files being signed. This patch adds the expected
    snippet "[signed-by=<managed-GPG-file>]" to the output.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 15 Jul 2024 21:28:39 +0100

google-osconfig-agent (20240320.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * Rebuild for Jammy. (LP: #2064580)
    * d/{rules,control}: use Go 1.21 for using the "slices" module.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 06 May 2024 18:39:35 +0100

google-osconfig-agent (20240320.00-0ubuntu1) oracular; urgency=medium

  [ Chloé 'kajiya' Smith ]
  * New upstream version for upstream tag 20240320.00. (LP: #2064580)

  [ Mitchell Dzurick ]
  * d/patches - Disable TestGetAptGPGKey for LP build environment (mitchdz)

  [ Utkarsh Gupta ]
  * Add missing n-c-r d/ch entries.
  * Add DEP3 headers & refresh the patch.
  * Update vendored dependencies.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 02 May 2024 21:56:35 +0100

google-osconfig-agent (20230504.00-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Go 1.22.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 08 Apr 2024 14:58:21 +1200

google-osconfig-agent (20230504.00-0ubuntu2) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 15:59:35 +1200

google-osconfig-agent (20230504.00-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/extra/vendor/googgle.golang.org/protobuf was
      patched with a backport of f01a588e5810b90996452eec4a28f22a0afae023
      in files encoding/protojson/well_known_types.go,
      internal/encoding/json/decode.go.
    - debian/extra/vendor adding patches-applied and README.txt for
      track/documentation propose about patches applied in vendored sources.
    - CVE-2024-24786

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 13 Mar 2024 12:56:19 -0300

google-osconfig-agent (20230504.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 15:33:15 +0530

google-osconfig-agent (20230504.00-0ubuntu1) mantic; urgency=medium

  * New upstream version 20230504.00. (LP: #2020762)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 15:10:30 +0530

google-osconfig-agent (20230330.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #2015501)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 27 Apr 2023 00:37:14 +0200

google-osconfig-agent (20230330.00-0ubuntu1) lunar; urgency=medium

  [ Mitchell Dzurick ]
  * New upstream version 20230330.00. (LP: #2015501)
    - Fix exclude packages field processing (#440)
    - Delete yum transaction files if created. (#445)
    - Don't print raw pointer data. (#446)
    - Close clients that are not passed anywhere (#450)
    - Call FQDN (#454)
    - Update owners file. (#455)
    - Fix the error in the copy_file_from_bucket.yaml example. (#456)
    - Update OWNERS (#458)
    - Remove Debian 9 from e2e tests image list (#460)
    - Bump golang.org/x/sys from 0.0.0-20210923061019-b8560ed6a9b7 to 0.1.0 (…
    - Update dependencies (#466)
    - Remove old images from e2e tests image list
    - Fix comparing exec.Cmd in mock on Go1.20
    - support new format of zypper patch (#469)
    - Revert "Call FQDN (#454)" (#470)
  * d/extra/vendor: update go dependency vendor.

  [ Utkarsh Gupta ]
  * Supervise this upload.
  * d/copyright: Drop superfluous-file-pattern.
  * d/copyright: Update year for grpc license.

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Thu, 06 Apr 2023 12:34:17 -0700

google-osconfig-agent (20220824.00-0ubuntu1~22.04.1) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #1996735)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 17 Nov 2022 18:18:30 +0530

google-osconfig-agent (20220824.00-0ubuntu1) lunar; urgency=medium

  * New upstream version 20220824.00. (LP: #1996735)
  * Update vendored google.golang.org/genproto.
  * Override deb build settings for 1.16+ compatibility.
  * Deprecate old config directory in favor of new cache directory.
  * Install var/lib/google_osconfig_agent directory.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 10 Nov 2022 17:13:49 +0530

google-osconfig-agent (20210608.1-0ubuntu1) impish; urgency=medium

  * New upstream version 20210608.1. (LP: #1938553)
  * d/extra/vendor:
    - Update vendored guest-logging-go/logger.
    - Update vendored agentendpoint/v1.
    - Update vendored cos/tools.git/src/pkg/cos.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Fri, 30 Jul 2021 18:35:05 +0530

google-osconfig-agent (20210219.00-0ubuntu1) hirsute; urgency=medium

  * New upstream release
  * debian/copyright: Fix format

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 01 Mar 2021 15:34:47 +0100

google-osconfig-agent (20210218.00-0ubuntu1) hirsute; urgency=medium

  * New upstream release
  * Update vendored modules

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 18 Feb 2021 20:50:28 +0100

google-osconfig-agent (20210209.00-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1911689)
  * debian/gbp.conf: Use proper tag format for Ubuntu
  * debian/postrm: Add double quotes around $1

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Feb 2021 15:59:05 +0100

google-osconfig-agent (20210112.00-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1911689)
  * Update vendored go modules
  * debian/copyright: Update with vendored module changes

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 14 Jan 2021 14:55:46 +0100

google-osconfig-agent (20200625.00-0ubuntu3) groovy; urgency=medium

  * debian/patches/: Drop skipping DeepEqual check
  * debian/rules: Build the package as preferred by upstream (LP: #1900897)
    - Strip the binary
    - Set main.version

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 21 Oct 2020 21:34:05 +0200

google-osconfig-agent (20200625.00-0ubuntu2) groovy; urgency=medium

  * debian/extra/vendor/*: Add vendored module sources (LP: #1896246)
  * debian/control: Drop unused Go build dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 30 Sep 2020 16:14:25 +0200

google-osconfig-agent (20200625.00-0ubuntu1) groovy; urgency=medium

  * Initial release (LP: #1887408)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Jun 2020 19:00:54 +0200
